
From: Andrew Morton <akpm@osdl.org>

Can't use this fancy name, because it's used to generate a sysfs filename:

kobject_register failed for Intel(R) 830M/845G/852GM/855GM/865G/915G
 Framebuffer Driver (-13)
  [<c01bf8e3>] kobject_register+0x43/0x70
  [<c022dfe2>] bus_add_driver+0x52/0xa0
  [<c01c8c10>] pci_device_shutdown+0x0/0x20
  [<c01c8d71>] pci_register_driver+0x61/0x80
  [<c0387099>] intelfb_init+0x59/0x70
  [<c03787cc>] do_initcalls+0x2c/0xc0
  [<c0159025>] kern_mount+0x15/0x17
  [<c01002a0>] init+0x0/0x100
  [<c01002ca>] init+0x2a/0x100
  [<c0100f58>] kernel_thread_helper+0x0/0x18
  [<c0100f5d>] kernel_thread_helper+0x5/0x18

Cc: "Antonino A. Daplas" <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/video/intelfb/intelfbdrv.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/video/intelfb/intelfbdrv.c~intelfbdrv-naming-fix drivers/video/intelfb/intelfbdrv.c
--- 25/drivers/video/intelfb/intelfbdrv.c~intelfbdrv-naming-fix	2005-05-12 08:54:46.000000000 -0700
+++ 25-akpm/drivers/video/intelfb/intelfbdrv.c	2005-05-12 08:55:03.000000000 -0700
@@ -214,7 +214,7 @@ static struct fb_ops intel_fb_ops = {
 
 /* PCI driver module table */
 static struct pci_driver intelfb_driver = {
-	.name =		"Intel(R) " SUPPORTED_CHIPSETS " Framebuffer Driver",
+	.name =		"intelfb",
 	.id_table =	intelfb_pci_table,
 	.probe =	intelfb_pci_register,
 	.remove =	__devexit_p(intelfb_pci_unregister)
_
